<?php
if(isset($user) && $admin['uid']==$user['id'] && $admin['priv']==2 && isset($_GET['act']) && isset($_GET['ok']) && $_GET['act']=='set' && isset($_POST['name']) && isset($_POST['opis']) && isset($_POST['pos'])){
	$name=esc(stripcslashes(htmlspecialchars($_POST['name'])));

if(isset($_POST['translit1']) && $_POST['translit1']==1){
	$name=translit($name);
	}

if(ereg("\{|\}|\^|\%|\\$|#|@|!|\~|'|\"|`|<|>",$name)){
	$err='В названии форума присутствуют запрещенные символы';
	}

if(strlen2($name)<3){
	$err='Слишком короткое название';
	}

if(strlen2($name)>32){
	$err='Слишком днинное название';
	}

$name=mysql_real_escape_string($name);
$opis=esc(stripcslashes(htmlspecialchars($_POST['opis'])));

if(isset($_POST['translit2']) && $_POST['translit2']==1){
	$opis=translit($opis);
	}

if(strlen2($opis)<10){
	$err='Короткое описание';
	}

if(strlen2($opis)>512){
	$err='Слишком длинное описание';
	}

$opis=mysql_real_escape_string($opis);
$pos=intval($_POST['pos']);

if(!isset($err)){

if(isset($_POST['adm']) && $_POST['adm']==1){
	$adm=1;
	}else{
		$adm=0;
		}

mysql_query("UPDATE `comm_forum_f` SET `adm` = '$adm' WHERE `id` = '$forum[id]' AND `id_comm` = '$id_comm' LIMIT 1");
mysql_query("UPDATE `comm_forum_f` SET `name` = '$name', `opis` = '$opis', `pos` = '$pos' WHERE `id` = '$forum[id]' AND `id_comm` = '$id_comm' LIMIT 1");
$forum=mysql_fetch_array(mysql_query("SELECT * FROM `comm_forum_f` WHERE `id` = '$forum[id]' AND `id_comm` = '$id_comm' LIMIT 1"));
msg('Изменения успешно приняты');
}
}

if(isset($user) && $admin['uid']==$user['id'] && $admin['priv']==2 && isset($_GET['act']) && isset($_GET['ok']) && $_GET['act']=='delete'){
	mysql_query("DELETE FROM `comm_forum_f` WHERE `id` = '$forum[id]' AND `id_comm` = '$id_comm'");
	mysql_query("DELETE FROM `comm_forum_r` WHERE `id_forum` = '$forum[id]' AND `id_comm` = '$id_comm'");
	mysql_query("DELETE FROM `comm_forum_t` WHERE `id_forum` = '$forum[id]' AND `id_comm` = '$id_comm'");
	mysql_query("DELETE FROM `comm_forum_p` WHERE `id_forum` = '$forum[id]' AND `id_comm` = '$id_comm'");
aut();
msg('Подфорум успешно удален');
echo ' - <a href="index.php?id_comm='.$id_comm.'">В форум</a><br/>';
include_once '../../sys/inc/tfoot.php';
}

if(isset($user) && $admin['uid']==$user['id'] && $admin['priv']==2 && isset($_GET['act']) && isset($_GET['ok']) && $_GET['act']=='new' && isset($_POST['name'])){
	$name=esc(stripcslashes(htmlspecialchars($_POST['name'])));

if(isset($_POST['translit1']) && $_POST['translit1']==1){
	$name=translit($name);
	}

if(ereg("\{|\}|\^|\%|\\$|#|@|!|\~|'|\"|`|<|>",$name)){
	$err='В названии раздела присутствуют запрещенные символы';
	}

if(strlen2($name)<2){
	$err='Слишком короткое название';
	}

if(strlen2($name)>32){
	$err='Слишком днинное название';
	}

$name=mysql_real_escape_string($name);

if(!isset($err)){
	mysql_query("INSERT INTO `comm_forum_r` (`id_forum`, `name`, `time`, `id_comm`) values('$forum[id]', '$name', '$time', '$id_comm')");
	msg('Раздел успешно создан');
	}
	}
?>